org.apache.maven.profiles

## Interface ProfileManager

- All Known Implementing Classes:
    DefaultProfileManager

      public interface ProfileManager

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateAsDefault(java.lang.String profileId)`
    `void` | `addProfile(Profile profile)`
    `void` | `addProfiles(java.util.List profiles)`
    `void` | `explicitlyActivate(java.util.List profileIds)`
    `void` | `explicitlyActivate(java.lang.String profileId)`
    `void` | `explicitlyDeactivate(java.util.List profileIds)`
    `void` | `explicitlyDeactivate(java.lang.String profileId)`
    `java.util.List` | `getActiveProfiles()`
    `java.util.List` | `getExplicitlyActivatedIds()`
    `java.util.List` | `getExplicitlyDeactivatedIds()`
    `java.util.List` | `getIdsActivatedByDefault()`
    `java.util.Map` | `getProfilesById()`
    `java.util.Properties` | `getRequestProperties()`
    `void` | `loadSettingsProfiles(Settings settings)`

- - ### Method Detail

    - #### addProfile

          void addProfile(Profile profile)

    - #### explicitlyActivate

          void explicitlyActivate(java.lang.String profileId)

    - #### explicitlyActivate

          void explicitlyActivate(java.util.List profileIds)

    - #### explicitlyDeactivate

          void explicitlyDeactivate(java.lang.String profileId)

    - #### explicitlyDeactivate

          void explicitlyDeactivate(java.util.List profileIds)

    - #### activateAsDefault

          void activateAsDefault(java.lang.String profileId)

    - #### getActiveProfiles

          java.util.List getActiveProfiles()
                                           throws ProfileActivationException

      Throws:
        `ProfileActivationException`

    - #### addProfiles

          void addProfiles(java.util.List profiles)

    - #### getProfilesById

          java.util.Map getProfilesById()

    - #### getExplicitlyActivatedIds

          java.util.List getExplicitlyActivatedIds()

    - #### getExplicitlyDeactivatedIds

          java.util.List getExplicitlyDeactivatedIds()

    - #### getIdsActivatedByDefault

          java.util.List getIdsActivatedByDefault()

    - #### loadSettingsProfiles

          void loadSettingsProfiles(Settings settings)

    - #### getRequestProperties

          java.util.Properties getRequestProperties()